<?xml version="1.0"?>
<!-- This file is part of Tryton.  The COPYRIGHT file at the top level of
this repository contains the full copyright notices and license terms. -->
<tryton>
    <data>
        <record model="ir.ui.icon" id="mtm_icon">
            <field name="name">tradon-mtm</field>
            <field name="path">icons/tradon-mtm.svg</field>
        </record>

        <record model="ir.ui.view" id="summary_view_tree_sequence">
            <field name="model">sale.pricing.summary</field>
            <field name="type">tree</field>
            <field name="priority" eval="20"/>
            <field name="name">summary_tree_sequence</field>
        </record>
        <record model="ir.ui.view" id="summary_view_tree_sequence2">
            <field name="model">purchase.pricing.summary</field>
            <field name="type">tree</field>
            <field name="priority" eval="20"/>
            <field name="name">summary_tree_sequence</field>
        </record>
        <record model="ir.ui.view" id="estimated_view_tree">
            <field name="model">pricing.estimated</field>
            <field name="type">tree</field>
            <field name="priority" eval="10"/>
            <field name="name">estimated_tree</field>
        </record>

        <record model="ir.ui.view" id="component_view_tree">
            <field name="model">pricing.component</field>
            <field name="type">tree</field>
            <field name="priority" eval="10"/>
            <field name="name">component_tree</field>
        </record>
        <record model="ir.ui.view" id="component_view_tree_sequence">
            <field name="model">pricing.component</field>
            <field name="type">tree</field>
            <field name="priority" eval="20"/>
            <field name="name">component_tree_sequence</field>
        </record>
        <record model="ir.ui.view" id="component_view_tree_sequence2">
            <field name="model">pricing.component</field>
            <field name="type">tree</field>
            <field name="priority" eval="20"/>
            <field name="name">component_tree_sequence2</field>
        </record>
        <record model="ir.ui.view" id="component_view_form">
            <field name="model">pricing.component</field>
            <field name="type">form</field>
            <field name="name">component_form</field>
        </record>
        <record model="ir.ui.view" id="component_view_form2">
            <field name="model">pricing.component</field>
            <field name="type">form</field>
            <field name="name">component_form2</field>
        </record>

        <record model="ir.ui.view" id="pricing_view_tree">
            <field name="model">pricing.pricing</field>
            <field name="type">tree</field>
            <field name="priority" eval="10"/>
            <field name="name">pricing_tree</field>
        </record>
        <record model="ir.ui.view" id="pricing_view_tree_sequence">
            <field name="model">pricing.pricing</field>
            <field name="type">tree</field>
            <field name="priority" eval="20"/>
            <field name="name">pricing_tree_sequence</field>
        </record>
        <record model="ir.ui.view" id="pricing_view_form">
            <field name="model">pricing.pricing</field>
            <field name="type">form</field>
            <field name="name">pricing_form</field>
        </record>

        <record model="ir.ui.view" id="trigger_view_tree">
            <field name="model">pricing.trigger</field>
            <field name="type">tree</field>
            <field name="priority" eval="10"/>
            <field name="name">trigger_tree</field>
        </record>
        <record model="ir.ui.view" id="trigger_view_tree_sequence">
            <field name="model">pricing.trigger</field>
            <field name="type">tree</field>
            <field name="priority" eval="20"/>
            <field name="name">trigger_tree_sequence</field>
        </record>
        <record model="ir.ui.view" id="trigger_view_form">
            <field name="model">pricing.trigger</field>
            <field name="type">form</field>
            <field name="name">trigger_form</field>
        </record>

        <record model="ir.ui.view" id="period_view_tree">
            <field name="model">pricing.period</field>
            <field name="type">tree</field>
            <field name="priority" eval="10"/>
            <field name="name">period_tree</field>
        </record>
        <record model="ir.ui.view" id="period_view_tree_sequence">
            <field name="model">pricing.period</field>
            <field name="type">tree</field>
            <field name="priority" eval="20"/>
            <field name="name">period_tree_sequence</field>
        </record>
        <record model="ir.ui.view" id="period_view_form">
            <field name="model">pricing.period</field>
            <field name="type">form</field>
            <field name="name">period_form</field>
        </record>

        <record model="ir.ui.view" id="mtm_scenario_view_form">
            <field name="model">mtm.scenario</field>
            <field name="type">form</field>
            <field name="name">mtm_scenario_form</field>
        </record>
        <record model="ir.ui.view" id="mtm_scenario_view_list">
            <field name="model">mtm.scenario</field>
            <field name="type">tree</field>
            <field name="name">mtm_scenario_tree</field>
        </record>
        <record model="ir.ui.view" id="mtm_strategy_view_form">
            <field name="model">mtm.strategy</field>
            <field name="type">form</field>
            <field name="name">mtm_strategy_form</field>
        </record>
        <record model="ir.ui.view" id="mtm_strategy_view_list">
            <field name="model">mtm.strategy</field>
            <field name="type">tree</field>
            <field name="name">mtm_strategy_tree</field>
        </record>
        <record model="ir.ui.view" id="price_matrix_view_form">
            <field name="model">price.matrix</field>
            <field name="type">form</field>
            <field name="name">price_matrix_form</field>
        </record>
        <record model="ir.ui.view" id="price_matrix_view_list">
            <field name="model">price.matrix</field>
            <field name="type">tree</field>
            <field name="name">price_matrix_tree</field>
        </record>
        <record model="ir.ui.view" id="price_matrix_line_view_list">
            <field name="model">price.matrix.line</field>
            <field name="type">tree</field>
            <field name="name">price_matrix_line_tree</field>
        </record>
        <!-- <record model="ir.ui.view" id="price_matrix_line_view_form">
            <field name="model">price.matrix.line</field>
            <field name="type">form</field>
            <field name="name">price_matrix_line_form</field>
        </record>
        <record model="ir.ui.view" id="mtm_snapshot_view_form">
            <field name="model">mtm.snapshot</field>
            <field name="type">form</field>
            <field name="name">mtm_snapshot_form</field>
        </record>
        <record model="ir.ui.view" id="mtm_snapshot_view_list">
            <field name="model">mtm.snapshot</field>
            <field name="type">tree</field>
            <field name="name">mtm_snapshot_tree</field>
        </record> -->

        <record model="ir.action.act_window" id="act_strategy_form">
            <field name="name">Strategy</field>
            <field name="res_model">mtm.strategy</field>
        </record>
        <record model="ir.action.act_window.view" id="act_strategy_form_view1">
            <field name="sequence" eval="10"/>
            <field name="view" ref="mtm_strategy_view_list"/>
            <field name="act_window" ref="act_strategy_form"/>
        </record>
        <record model="ir.action.act_window.view" id="act_strategy_form_view2">
            <field name="sequence" eval="20"/>
            <field name="view" ref="mtm_strategy_view_form"/>
            <field name="act_window" ref="act_strategy_form"/>
        </record>

        <menuitem
            name="Mtm"
            sequence="99"
            id="menu_mtm"
            icon="tradon-mtm" />
        <menuitem
            name="Strategy"
            action="act_strategy_form"
            parent="menu_mtm"
            sequence="10"
            id="menu_strategy" />
        
    </data>
</tryton>